!set title=Área y proporción II *
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=es
leftrange=-5.000000
rightrange=5.000000
author=Gang XIAO
email=xiao@unice.fr
computeanswer=no
precision=10000

ansorder=r
varcnt=12
prevarcnt=11
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randint 4, 12

val6=$[rint($(tmp0))]
val7=$[rint($val6*$val6)]
tmp0=!randitem 2,3,4

val8=$[rint($(tmp0))]
val9=$[rint($val6*$val8)]
val10=$[rint($val6*$val9)]
val11=$[rint(2*($val6+$val9))]
val12=$[rint($val9-$val6)]
tmp0=!randitem 0,1

val13=$[rint($(tmp0))]

!ifval $val13=0
val14=$[rint($val6)]
!else
val14=$[rint($val9)]
!endif

!ifval $val13=0
val15=Anchura
!else
val15=Longitud
!endif

!ifval $val13=0
val16=anchura
!else
val16=longitud
!endif
replytype1=units
replyname1=Perímetro
replygood1=$val11 cm
question=__EXECUTED_1692754_EXERCISE__
hint=__EXECUTED_1692754_EXERCISE__
solution=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()El área de un rectángulo es $val10 cm<sup>2</sup>. Sabiendo que su longitud es $val8 veces su anchura, calcular el perímetro.
$()
!exit

:hint
$()Debe calcular primero la anchura.
$()
!exit

:help
$()
$()
!exit

:solution
$()El área es igual a longitud&times;anchura. Como la longitud=$val8&times;anchura	tenemos <p><center>	 área = $val10 cm<sup>2</sup> = longitud&times;anchura =	 $val8&times;$val6&times;$val6 cm<sup>2</sup>,	</center> <p>	o<p><center>	  anchura&times;anchura = $val10 cm<sup>2</sup>/$val8 = $val7 cm<sup>2</sup>,	</center> <p>	y por tanto la anchura = $val6 cm. Ahora bien la longitud = $val8&times;$val6 cm = $val9	cm, y	<p><center>	  el perímetro = 2(longitud + anchura) = 2($val9 + $val6) cm = $val11 cm.	</center> <p>	
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,7,8,9,10,11
embedcnt=0
